AbstractRxTask (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.AbstractRxTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport
Class AbstractRxTask

    java.lang.Object
      org.apache.catalina.tribes.transport.AbstractRxTask

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  BioReplicationTask, NioReplicationTask

    public abstract class AbstractRxTask

extends java.lang.Object
implements java.lang.Runnable

Version:
  $Revision: 487420 $ $Date: 2006-12-15 02:35:06 +0100 (Fri, 15 Dec 2006) $
Author:
  Filip Hanik

Field Summary
`static int` | `OPTION_DIRECT_BUFFER`
`protected boolean` | `useBufferPool`

Constructor Summary
`AbstractRxTask(ListenCallback callback)`

Method Summary
`void` | `close()`
`ListenCallback` | `getCallback()`
`int` | `getOptions()`
`RxTaskPool` | `getTaskPool()`
`boolean` | `getUseBufferPool()`
`boolean` | `isDoRun()`
`void` | `setCallback(ListenCallback callback)`
`void` | `setDoRun(boolean doRun)`
`void` | `setOptions(int options)`
`void` | `setTaskPool(RxTaskPool pool)`
`void` | `setUseBufferPool(boolean usebufpool)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Field Detail

### OPTION_DIRECT_BUFFER

    public static final int OPTION_DIRECT_BUFFER

See Also:
  Constant Field Values

### useBufferPool

    protected boolean useBufferPool

Constructor Detail

### AbstractRxTask

    public AbstractRxTask(ListenCallback callback)

Method Detail

### setTaskPool

    public void setTaskPool(RxTaskPool pool)

### setOptions

    public void setOptions(int options)

### setCallback

    public void setCallback(ListenCallback callback)

### setDoRun

    public void setDoRun(boolean doRun)

### getTaskPool

    public RxTaskPool getTaskPool()

### getOptions

    public int getOptions()

### getCallback

    public ListenCallback getCallback()

### isDoRun

    public boolean isDoRun()

### close

    public void close()

### setUseBufferPool

    public void setUseBufferPool(boolean usebufpool)

### getUseBufferPool

    public boolean getUseBufferPool()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.